Index: /branches/version-2_12-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21490)
+++ /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21514)
@@ -68,7 +68,7 @@
 
         if (SC_Utils_Ex::sfIsHTTPS()) {
-            $proto = "https://";
-        } else {
-            $proto = "http://";
+            $proto = 'https://';
+        } else {
+            $proto = 'http://';
         }
         $host = $proto . $_SERVER['SERVER_NAME'] . ':' . $_SERVER['SERVER_PORT'];
@@ -124,5 +124,5 @@
         $GLOBAL_ERR.= '<div id="errorHeader">';
         $GLOBAL_ERR.= $mess;
-        $GLOBAL_ERR.= "</div>";
+        $GLOBAL_ERR.= '</div>';
         if ($print) {
             echo $GLOBAL_ERR;
@@ -144,5 +144,5 @@
 
     /* サイトエラーページの表示 */
-    function sfDispSiteError($type, $objSiteSess = "", $return_top = false, $err_msg = "") {
+    function sfDispSiteError($type, $objSiteSess = '', $return_top = false, $err_msg = '') {
 
         require_once CLASS_EX_REALDIR . 'page_extends/error/LC_Page_Error_Ex.php';
@@ -221,7 +221,7 @@
      */
     function sfPassLen($passlen) {
-        $ret = "";
+        $ret = '';
         for ($i=0;$i<$passlen;true) {
-            $ret.="*";
+            $ret.='*';
             $i++;
         }
@@ -262,13 +262,13 @@
     /* DB用日付文字列取得 */
     function sfGetTimestamp($year, $month, $day, $last = false) {
-        if ($year != "" && $month != "" && $day != "") {
+        if ($year != '' && $month != '' && $day != "") {
             if ($last) {
-                $time = "23:59:59";
+                $time = '23:59:59';
             } else {
-                $time = "00:00:00";
-            }
-            $date = $year."-".$month."-".$day." ".$time;
-        } else {
-            $date = "";
+                $time = '00:00:00';
+            }
+            $date = $year.'-'.$month.'-'.$day." ".$time;
+        } else {
+            $date = '';
         }
         return     $date;
@@ -303,10 +303,10 @@
     }
 
-    function sfGetCSVData($data, $prefix = "") {
-        if ($prefix == "") {
+    function sfGetCSVData($data, $prefix = '') {
+        if ($prefix == '') {
             $dir_name = SC_Utils_Ex::sfUpDirName();
-            $file_name = $dir_name . date('ymdHis') .".csv";
-        } else {
-            $file_name = $prefix . date('ymdHis') .".csv";
+            $file_name = $dir_name . date('ymdHis') .'.csv';
+        } else {
+            $file_name = $prefix . date('ymdHis') .'.csv';
         }
 
@@ -322,5 +322,5 @@
     function sfUpDirName() {
         $path = $_SERVER['PHP_SELF'];
-        $arrVal = explode("/", $path);
+        $arrVal = explode('/', $path);
         $cnt = count($arrVal);
         return $arrVal[($cnt - 2)];
@@ -332,5 +332,5 @@
      */
     function sfMergeCBValue($keyname, $max) {
-        $conv = "";
+        $conv = '';
         $cnt = 1;
         for ($cnt = 1; $cnt <= $max; $cnt++) {
@@ -349,5 +349,5 @@
      */
     function sfMergeCheckBoxes($array, $max) {
-        $ret = "";
+        $ret = '';
         if (is_array($array)) {
             foreach ($array as $val) {
@@ -373,5 +373,5 @@
         if (is_array($array)) {
             foreach ($array as $val) {
-                if ($ret != "") {
+                if ($ret != '') {
                     $ret.= "-$val";
                 } else {
@@ -421,5 +421,5 @@
      */
     function sfMergeCBSearchValue($keyname, $max) {
-        $conv = "";
+        $conv = '';
         $cnt = 1;
         for ($cnt = 1; $cnt <= $max; $cnt++) {
@@ -437,10 +437,10 @@
      * @deprecated
      */
-    function sfSplitCBValue($val, $keyname = "") {
+    function sfSplitCBValue($val, $keyname = '') {
         $arr = array();
         $len = strlen($val);
         $no = 1;
         for ($cnt = 0; $cnt < $len; $cnt++) {
-            if ($keyname != "") {
+            if ($keyname != '') {
                 $arr[$keyname . $no] = substr($val, $cnt, 1);
             } else {
@@ -453,14 +453,14 @@
 
     // キーと値をセットした配列を取得
-    function sfArrKeyValue($arrList, $keyname, $valname, $len_max = "", $keysize = "") {
+    function sfArrKeyValue($arrList, $keyname, $valname, $len_max = '', $keysize = '') {
         $arrRet = array();
         $max = count($arrList);
 
-        if ($len_max != "" && $max > $len_max) {
+        if ($len_max != '' && $max > $len_max) {
             $max = $len_max;
         }
 
         for ($cnt = 0; $cnt < $max; $cnt++) {
-            if ($keysize != "") {
+            if ($keysize != '') {
                 $key = SC_Utils_Ex::sfCutString($arrList[$cnt][$keyname], $keysize);
             } else {
@@ -478,14 +478,14 @@
 
     // キーと値をセットした配列を取得(値が複数の場合)
-    function sfArrKeyValues($arrList, $keyname, $valname, $len_max = "", $keysize = "", $connect = "") {
+    function sfArrKeyValues($arrList, $keyname, $valname, $len_max = '', $keysize = '', $connect = "") {
 
         $max = count($arrList);
 
-        if ($len_max != "" && $max > $len_max) {
+        if ($len_max != '' && $max > $len_max) {
             $max = $len_max;
         }
 
         for ($cnt = 0; $cnt < $max; $cnt++) {
-            if ($keysize != "") {
+            if ($keysize != '') {
                 $key = SC_Utils_Ex::sfCutString($arrList[$cnt][$keyname], $keysize);
             } else {
@@ -494,5 +494,5 @@
             $val = $arrList[$cnt][$valname];
 
-            if ($connect != "") {
+            if ($connect != '') {
                 $arrRet[$key].= "$val".$connect;
             } else {
@@ -506,11 +506,11 @@
     function sfGetCommaList($array, $space=true, $arrPop = array()) {
         if (count($array) > 0) {
-            $line = "";
+            $line = '';
             foreach ($array as $val) {
                 if (!in_array($val, $arrPop)) {
                     if ($space) {
-                        $line .= $val . ", ";
+                        $line .= $val . ', ';
                     } else {
-                        $line .= $val . ",";
+                        $line .= $val . ',';
                     }
                 }
@@ -530,5 +530,5 @@
     /* 配列の要素をCSVフォーマットで出力する。*/
     function sfGetCSVList($array) {
-        $line = "";
+        $line = '';
         if (count($array) > 0) {
             foreach ($array as $key => $val) {
@@ -565,6 +565,6 @@
         }
         if (! $error) {
-            $date1 = $start_year ."/".sprintf("%02d",$start_month) ."/".sprintf("%02d",$start_day) ." 000000";
-            $date2 = $end_year   ."/".sprintf("%02d",$end_month)   ."/".sprintf("%02d",$end_day)   ." 235959";
+            $date1 = $start_year .'/'.sprintf('%02d',$start_month) ."/".sprintf("%02d",$start_day) ." 000000";
+            $date2 = $end_year   .'/'.sprintf('%02d',$end_month)   ."/".sprintf("%02d",$end_day)   ." 235959";
             if ($date1 > $date2) $error = 3;
         } else {
@@ -590,8 +590,8 @@
 
     function sfGetErrorColor($val) {
-        if ($val != "") {
-            return "background-color:" . ERR_COLOR;
-        }
-        return "";
+        if ($val != '') {
+            return 'background-color:' . ERR_COLOR;
+        }
+        return '';
     }
 
@@ -600,5 +600,5 @@
             return " disabled=\"disabled\"";
         }
-        return "";
+        return '';
     }
 
@@ -607,5 +607,5 @@
             return "checked=\"checked\"";
         }
-        return "";
+        return '';
     }
 
@@ -681,5 +681,5 @@
 
     /* ポイント付与 */
-    function sfPrePoint($price, $point_rate, $rule = POINT_RULE, $product_id = "") {
+    function sfPrePoint($price, $point_rate, $rule = POINT_RULE, $product_id = '') {
         $real_point = $point_rate / 100;
         $ret = $price * $real_point;
@@ -707,8 +707,8 @@
     /* 規格分類の件数取得 */
     function sfGetClassCatCount() {
-        $sql = "select count(dtb_class.class_id) as count, dtb_class.class_id ";
-        $sql.= "from dtb_class inner join dtb_classcategory on dtb_class.class_id = dtb_classcategory.class_id ";
-        $sql.= "where dtb_class.del_flg = 0 AND dtb_classcategory.del_flg = 0 ";
-        $sql.= "group by dtb_class.class_id, dtb_class.name";
+        $sql = 'select count(dtb_class.class_id) as count, dtb_class.class_id ';
+        $sql.= 'from dtb_class inner join dtb_classcategory on dtb_class.class_id = dtb_classcategory.class_id ';
+        $sql.= 'where dtb_class.del_flg = 0 AND dtb_classcategory.del_flg = 0 ';
+        $sql.= 'group by dtb_class.class_id, dtb_class.name';
         $objQuery = new SC_Query_Ex();
         $arrList = $objQuery->getAll($sql);
@@ -720,5 +720,5 @@
 
     function sfGetProductClassId($product_id, $classcategory_id1, $classcategory_id2) {
-        $where = "product_id = ?";
+        $where = 'product_id = ?';
         $objQuery = new SC_Query_Ex();
         $ret = $objQuery->get('product_class_id', 'dtb_products_class', $where, Array($product_id));
@@ -734,14 +734,14 @@
     /* DBから取り出した日付の文字列を調整する。*/
     function sfDispDBDate($dbdate, $time = true) {
-        list($y, $m, $d, $H, $M) = preg_split("/[- :]/", $dbdate);
+        list($y, $m, $d, $H, $M) = preg_split('/[- :]/', $dbdate);
 
         if (strlen($y) > 0 && strlen($m) > 0 && strlen($d) > 0) {
             if ($time) {
-                $str = sprintf("%04d/%02d/%02d %02d:%02d", $y, $m, $d, $H, $M);
+                $str = sprintf('%04d/%02d/%02d %02d:%02d', $y, $m, $d, $H, $M);
             } else {
-                $str = sprintf("%04d/%02d/%02d", $y, $m, $d, $H, $M);
-            }
-        } else {
-            $str = "";
+                $str = sprintf('%04d/%02d/%02d', $y, $m, $d, $H, $M);
+            }
+        } else {
+            $str = '';
         }
         return $str;
@@ -816,5 +816,5 @@
 
     /* 一意かつ予測されにくいID */
-    function sfGetUniqRandomId($head = "") {
+    function sfGetUniqRandomId($head = '') {
         // 予測されないようにランダム文字列を付与する。
         $random = GC_Utils_Ex::gfMakePassword(8);
@@ -826,14 +826,14 @@
     // 二回以上繰り返されているスラッシュ[/]を一つに変換する。
     function sfRmDupSlash($istr) {
-        if (ereg("^http://", $istr)) {
+        if (ereg('^http://', $istr)) {
             $str = substr($istr, 7);
-            $head = "http://";
-        } else if (ereg("^https://", $istr)) {
+            $head = 'http://';
+        } else if (ereg('^https://', $istr)) {
             $str = substr($istr, 8);
-            $head = "https://";
+            $head = 'https://';
         } else {
             $str = $istr;
         }
-        $str = ereg_replace("[/]+", "/", $str);
+        $str = ereg_replace('[/]+', '/', $str);
         $ret = $head . $str;
         return $ret;
@@ -866,5 +866,5 @@
             $outpath = $out_dir . 'enc_' . $basename;
 
-            $ofp = fopen($outpath, "w+");
+            $ofp = fopen($outpath, 'w+');
 
             while (!feof($ifp)) {
@@ -927,5 +927,5 @@
 
         if ($commadisp) {
-            $ret = $ret . "...";
+            $ret = $ret . '...';
         }
         return $ret;
@@ -971,6 +971,6 @@
 
         // 日付の作成
-        $start_date = sprintf("%d/%d/%d 00:00:00", $start_year, $start_month, $start_day);
-        $end_date = sprintf("%d/%d/%d 23:59:59", $end_year, $end_month, $end_day);
+        $start_date = sprintf('%d/%d/%d 00:00:00', $start_year, $start_month, $start_day);
+        $end_date = sprintf('%d/%d/%d 23:59:59', $end_year, $end_month, $end_day);
 
         return array($start_date, $end_date);
@@ -978,9 +978,9 @@
 
     // 再帰的に多段配列を検索して一次元配列(Hidden引渡し用配列)に変換する。
-    function sfMakeHiddenArray($arrSrc, $arrDst = array(), $parent_key = "") {
+    function sfMakeHiddenArray($arrSrc, $arrDst = array(), $parent_key = '') {
         if (is_array($arrSrc)) {
             foreach ($arrSrc as $key => $val) {
-                if ($parent_key != "") {
-                    $keyname = $parent_key . "[". $key . "]";
+                if ($parent_key != '') {
+                    $keyname = $parent_key . '['. $key . ']';
                 } else {
                     $keyname = $key;
@@ -1108,5 +1108,5 @@
 
     // ディレクトリ以下のファイルを再帰的にコピー
-    function sfCopyDir($src, $des, $mess = "", $override = false) {
+    function sfCopyDir($src, $des, $mess = '', $override = false) {
         if (!is_dir($src)) {
             return false;
@@ -1123,15 +1123,15 @@
         }
 
-        $fileArray=glob($src."*");
+        $fileArray=glob($src.'*');
         if (is_array($fileArray)) {
             foreach ($fileArray as $key => $data_) {
                 // CVS管理ファイルはコピーしない
-                if (ereg("/CVS/Entries", $data_)) {
+                if (ereg('/CVS/Entries', $data_)) {
                     break;
                 }
-                if (ereg("/CVS/Repository", $data_)) {
+                if (ereg('/CVS/Repository', $data_)) {
                     break;
                 }
-                if (ereg("/CVS/Root", $data_)) {
+                if (ereg('/CVS/Root', $data_)) {
                     break;
                 }
@@ -1165,8 +1165,8 @@
             // フォルダ内のファイルを削除
             while ($file = readdir($dh)) {
-                if ($file == "." or $file == "..") continue;
-                $del_file = $dir . "/" . $file;
+                if ($file == '.' or $file == '..') continue;
+                $del_file = $dir . '/' . $file;
                 if (is_file($del_file)) {
-                    $ret = unlink($dir . "/" . $file);
+                    $ret = unlink($dir . '/' . $file);
                 }else if (is_dir($del_file)) {
                     $ret = SC_Utils_Ex::sfDelFile($del_file);
@@ -1195,5 +1195,5 @@
      * 説明　：ファイル書き出し
      */
-    function sfWriteFile($str, $path, $type, $permission = "") {
+    function sfWriteFile($str, $path, $type, $permission = '') {
         //ファイルを開く
         if (!($file = fopen ($path, $type))) {
@@ -1210,5 +1210,5 @@
         fclose ($file);
         // 権限を指定
-        if ($permission != "") {
+        if ($permission != '') {
             chmod($path, $permission);
         }
@@ -1251,6 +1251,6 @@
                 while (!feof($src_fp)) {
                     $line = fgets($src_fp);
-                    if (ereg("@version", $line)) {
-                        $arrLine = explode(" ", $line);
+                    if (ereg('@version', $line)) {
+                        $arrLine = explode(' ', $line);
                         $version = $arrLine[5];
                     }
@@ -1288,5 +1288,5 @@
     function arrayDefineIndexes($array, $defineIndexes) {
         foreach ($defineIndexes as $key) {
-            if (!isset($array[$key])) $array[$key] = "";
+            if (!isset($array[$key])) $array[$key] = '';
         }
         return $array;
@@ -1319,5 +1319,5 @@
     function printXMLDeclaration() {
         $ua = $_SERVER['HTTP_USER_AGENT'];
-        if (!preg_match("/MSIE/", $ua) || preg_match("/MSIE 7/", $ua)) {
+        if (!preg_match('/MSIE/', $ua) || preg_match('/MSIE 7/', $ua)) {
             echo '<?xml version="1.0" encoding="' . CHAR_CODE . '"?>' . "\n";
         }
@@ -1343,11 +1343,11 @@
                 foreach ($arrDir as $file) {
                     // ./ と ../を除くファイルのみを取得
-                    if ($file != "." && $file != "..") {
-
-                        $path = $dir."/".$file;
+                    if ($file != '.' && $file != '..') {
+
+                        $path = $dir.'/'.$file;
                         // SELECT内の見た目を整えるため指定文字数で切る
                         $file_name = SC_Utils_Ex::sfCutString($file, FILE_NAME_LEN);
                         $file_size = SC_Utils_Ex::sfCutString(SC_Utils_Ex::sfGetDirSize($path), FILE_NAME_LEN);
-                        $file_time = date("Y/m/d", filemtime($path));
+                        $file_time = date('Y/m/d', filemtime($path));
 
                         // ディレクトリとファイルで格納配列を変える
@@ -1389,5 +1389,5 @@
                     // 行末の/を取り除く
                     $dir = ereg_replace("/$", "", $dir);
-                    $path = $dir."/".$file;
+                    $path = $dir.'/'.$file;
                     if ($file != '..' && $file != '.' && !is_dir($path)) {
                         $bytes += filesize($path);
@@ -1403,5 +1403,5 @@
         }
         // ディレクトリ(ファイル)が存在しない場合は0byteを返す
-        if($bytes == "") $bytes = 0;
+        if($bytes == '') $bytes = 0;
 
         return $bytes;
@@ -1460,8 +1460,8 @@
                 natcasesort($arrDir);
                 foreach ($arrDir as $item) {
-                    if ($item != "." && $item != "..") {
+                    if ($item != '.' && $item != '..') {
                         // 文末の/を取り除く
                         $dir = ereg_replace("/$", "", $dir);
-                        $path = $dir."/".$item;
+                        $path = $dir.'/'.$item;
                         // ディレクトリのみ取得
                         if (is_dir($path)) {
@@ -1503,5 +1503,5 @@
                     // 行末の/を取り除く
                     $dir = ereg_replace("/$", "", $dir);
-                    $path = $dir."/".$file;
+                    $path = $dir.'/'.$file;
                     if ($file != '..' && $file != '.' && is_dir($path)) {
                         return true;
@@ -1536,8 +1536,8 @@
     function sfDownloadFile($file) {
          // ファイルの場合はダウンロードさせる
-        Header("Content-disposition: attachment; filename=".basename($file));
-        Header("Content-type: application/octet-stream; name=".basename($file));
-        Header("Cache-Control: ");
-        Header("Pragma: ");
+        Header('Content-disposition: attachment; filename='.basename($file));
+        Header('Content-type: application/octet-stream; name='.basename($file));
+        Header('Cache-Control: ');
+        Header('Pragma: ');
         echo (sfReadFile($file));
     }
@@ -1549,7 +1549,7 @@
      * 説明　：ファイル作成
      */
-    function sfCreateFile($file, $mode = "") {
+    function sfCreateFile($file, $mode = '') {
         // 行末の/を取り除く
-        if ($mode != "") {
+        if ($mode != '') {
             $ret = @mkdir($file, $mode);
         } else {
@@ -1566,5 +1566,5 @@
      */
     function sfReadFile($filename) {
-        $str = "";
+        $str = '';
         // バイナリモードでオープン
         $fp = @fopen($filename, 'rb');
@@ -1588,13 +1588,13 @@
             if (is_array($arrayIndex) && 0 < count($arrayIndex)) {
                 for ($j = 0; $j < count($arrayIndex); $j++) {
-                    if ($j > 0) $return .= ",";
+                    if ($j > 0) $return .= ',';
                     $return .= "\"";
-                    $return .= mb_ereg_replace("<","＜",mb_ereg_replace("\"","\"\"",$array[$i][$arrayIndex[$j]])) ."\"";
+                    $return .= mb_ereg_replace('<','＜',mb_ereg_replace("\"","\"\"",$array[$i][$arrayIndex[$j]])) ."\"";
                 }
             } else {
                 for ($j = 0; $j < count($array[$i]); $j++) {
-                    if ($j > 0) $return .= ",";
+                    if ($j > 0) $return .= ',';
                     $return .= "\"";
-                    $return .= mb_ereg_replace("<","＜",mb_ereg_replace("\"","\"\"",$array[$i][$j])) ."\"";
+                    $return .= mb_ereg_replace('<','＜',mb_ereg_replace("\"","\"\"",$array[$i][$j])) ."\"";
                 }
             }
@@ -1610,19 +1610,19 @@
      */
     function getTableTag($array) {
-        $html = "<table>";
-        $html.= "<tr>";
+        $html = '<table>';
+        $html.= '<tr>';
         foreach ($array[0] as $key => $val) {
             $html.="<th>$key</th>";
         }
-        $html.= "</tr>";
+        $html.= '</tr>';
 
         $cnt = count($array);
 
         for ($i = 0; $i < $cnt; $i++) {
-            $html.= "<tr>";
+            $html.= '<tr>';
             foreach ($array[$i] as $val) {
                 $html.="<td>$val</td>";
             }
-            $html.= "</tr>";
+            $html.= '</tr>';
         }
         return $html;
@@ -1684,7 +1684,7 @@
 
         if (SC_Utils_Ex::sfIsHTTPS()) {
-            $url = "https://";
-        } else {
-            $url = "http://";
+            $url = 'https://';
+        } else {
+            $url = 'http://';
         }
 
@@ -1709,5 +1709,5 @@
             }
 
-            $string .= $backtrace['file'] . " " . $backtrace['line'] . ":" . $func . "\n";
+            $string .= $backtrace['file'] . ' ' . $backtrace['line'] . ":" . $func . "\n";
         }
 
@@ -1754,5 +1754,5 @@
         // 郵便番号検索文作成
         $zipcode = mb_convert_kana($zipcode ,'n');
-        $sqlse = "SELECT state, city, town FROM mtb_zip WHERE zipcode = ?";
+        $sqlse = 'SELECT state, city, town FROM mtb_zip WHERE zipcode = ?';
 
         $data_list = $objQuery->getAll($sqlse, array($zipcode));
@@ -1767,5 +1767,5 @@
         $town =  $data_list[0]['town'];
         $town = ereg_replace("（.*）$","",$town);
-        $town = ereg_replace("以下に掲載がない場合","",$town);
+        $town = ereg_replace('以下に掲載がない場合','',$town);
         $data_list[0]['town'] = $town;
         $data_list[0]['state'] = $arrREV_PREF[$data_list[0]['state']];
@@ -1876,5 +1876,5 @@
         $microtime = microtime(true);
         if (is_string($microtime)) {
-            list($usec, $sec) = explode(" ", microtime());
+            list($usec, $sec) = explode(' ', microtime());
             return (float)$usec + (float)$sec;
         }
@@ -1887,5 +1887,5 @@
      * 引数 $val が空白かどうかをチェックする. 空白の場合は true.
      * 以下の文字は空白と判断する.
-     * - " " (ASCII 32 (0x20)), 通常の空白
+     * - ' ' (ASCII 32 (0x20)), 通常の空白
      * - "\t" (ASCII 9 (0x09)), タブ
      * - "\n" (ASCII 10 (0x0A)), リターン
@@ -1900,5 +1900,5 @@
      *
      * @param mixed $val チェック対象の変数
-     * @param boolean $greedy "貧欲"にチェックを行う場合 true
+     * @param boolean $greedy '貧欲'にチェックを行う場合 true
      * @return boolean $val が空白と判断された場合 true
      */
@@ -1927,5 +1927,5 @@
 
         if ($greedy) {
-            $val = preg_replace("/　/", "", $val);
+            $val = preg_replace('/　/', '', $val);
         }
 
@@ -1949,5 +1949,5 @@
         $host = $netURL->host;
         if (!$host) return false;
-        $host = preg_quote($host, "#");
+        $host = preg_quote($host, '#');
         if (!preg_match("#^(http|https)://{$host}#i", $url)) return false;
         return true;
@@ -1969,5 +1969,5 @@
             $res = $str;
         } else {
-            $res = hash_hmac(PASSWORD_HASH_ALGOS, $str . ":" . AUTH_MAGIC, $salt);
+            $res = hash_hmac(PASSWORD_HASH_ALGOS, $str . ':' . AUTH_MAGIC, $salt);
         }
         return $res;
@@ -1992,5 +1992,5 @@
                 if (empty($salt)) {
                     // 旧バージョン(2.11未満)からの移行を考慮
-                    $hash = sha1($pass . ":" . AUTH_MAGIC);
+                    $hash = sha1($pass . ':' . AUTH_MAGIC);
                 } else {
                     $hash = SC_Utils_Ex::sfGetHashString($pass, $salt);
@@ -2144,10 +2144,10 @@
         // 対象が存在するかを検証.
         if (file_exists($path) === false) {
-            GC_Utils_Ex::gfPrintLog($path . " が存在しません.");
+            GC_Utils_Ex::gfPrintLog($path . ' が存在しません.');
         } elseif (is_dir($path)) {
             // ディレクトリが指定された場合
             $handle = opendir($path);
             if (!$handle) {
-                GC_Utils_Ex::gfPrintLog($path . " が開けませんでした.");
+                GC_Utils_Ex::gfPrintLog($path . ' が開けませんでした.');
             }
             while (($item = readdir($handle)) !== false) {
@@ -2164,5 +2164,5 @@
             closedir($handle);
             // ディレクトリを削除
-            GC_Utils_Ex::gfPrintLog($path . " を削除します.");
+            GC_Utils_Ex::gfPrintLog($path . ' を削除します.');
             if ($del_myself) {
                 $flg = @rmdir($path);
@@ -2170,5 +2170,5 @@
         } else {
             // ファイルが指定された場合.
-            GC_Utils_Ex::gfPrintLog($path . " を削除します.");
+            GC_Utils_Ex::gfPrintLog($path . ' を削除します.');
             $flg = @unlink($path);
         }
Index: /branches/version-2_12-dev/data/class/util/GC_Utils.php
===================================================================
--- /branches/version-2_12-dev/data/class/util/GC_Utils.php	(revision 21481)
+++ /branches/version-2_12-dev/data/class/util/GC_Utils.php	(revision 21514)
@@ -41,5 +41,5 @@
     function gfDownloadCsv($header, $contents) {
 
-        $fiest_name = date('YmdHis') .".csv";
+        $fiest_name = date('YmdHis') .'.csv';
 
         /* HTTPヘッダの出力 */
@@ -65,17 +65,17 @@
      * [注釈] -
      *----------------------------------------------------------------------*/
-    function gfSetCsv($array, $arrayIndex = "") {
+    function gfSetCsv($array, $arrayIndex = '') {
         //引数$arrayIndexは、$arrayが連想配列のときに添え字を指定してやるために使用する
 
-        $return = "";
+        $return = '';
         for ($i=0; $i<count($array); $i++) {
 
             for ($j=0; $j<count($array[$i]); $j++) {
-                if ($j > 0) $return .= ",";
+                if ($j > 0) $return .= ',';
                 $return .= "\"";
                 if ($arrayIndex) {
-                    $return .= mb_ereg_replace("<","＜",mb_ereg_replace("\"","\"\"",$array[$i][$arrayIndex[$j]])) ."\"";
+                    $return .= mb_ereg_replace('<','＜',mb_ereg_replace("\"","\"\"",$array[$i][$arrayIndex[$j]])) ."\"";
                 } else {
-                    $return .= mb_ereg_replace("<","＜",mb_ereg_replace("\"","\"\"",$array[$i][$j])) ."\"";
+                    $return .= mb_ereg_replace('<','＜',mb_ereg_replace("\"","\"\"",$array[$i][$j])) ."\"";
                 }
             }
@@ -98,5 +98,5 @@
         $tm = date('m');
         $td = date('d');
-        list($by, $bm, $bd) = preg_split("/[-/ ]/", $dbdate);
+        list($by, $bm, $bd) = preg_split('/[-/ ]/', $dbdate);
         $age = $ty - $by;
         if($tm * 100 + $td < $bm * 100 + $bd) $age--;
@@ -115,5 +115,5 @@
                 "*** start Debug ***\n" .
                 print_r($obj, true) .
-                "*** end Debug ***"
+                '*** end Debug ***'
             );
         }
@@ -139,5 +139,5 @@
             }
         }
-        $str = $traces[$bklv]['class'] . "::" . $traces[$bklv]['function'] . "(" . $traces[$bklv-1]['line'] . ") ";
+        $str = $traces[$bklv]['class'] . '::' . $traces[$bklv]['function'] . "(" . $traces[$bklv-1]['line'] . ") ";
         return $str;
     }
@@ -156,5 +156,5 @@
         // ログレベル=Debugの場合は、[Debug]を先頭に付与する
         if ($log_level === 'Debug') {
-            $mess = "[Debug]" . $mess;
+            $mess = '[Debug]' . $mess;
         }
 
@@ -218,7 +218,7 @@
     function gfPrintLog($mess, $path = '') {
         // 日付の取得
-        $today = date("Y/m/d H:i:s");
+        $today = date('Y/m/d H:i:s');
         // 出力パスの作成
-        if ($path == "") {
+        if ($path == '') {
             $path = LOG_REALFILE;
         }
@@ -229,7 +229,7 @@
         $mess = strtr($mess, $trans_tbl);
 
-        $fp = fopen($path, "a+");
+        $fp = fopen($path, 'a+');
         if ($fp) {
-            fwrite($fp, $today." [".$_SERVER['PHP_SELF']."] ".$mess." from ". $_SERVER['REMOTE_ADDR']. "\n");
+            fwrite($fp, $today.' ['.$_SERVER['PHP_SELF']."] ".$mess." from ". $_SERVER['REMOTE_ADDR']. "\n");
             fclose($fp);
         }
@@ -293,7 +293,7 @@
         // パスワード文字列の配列を作成
         $character = 'abcdefghkmnpqrstuvwxyzABCDEFGHJKLMNPQRSTUVWXYZ2345679';
-        $pw = preg_split("//", $character, 0, PREG_SPLIT_NO_EMPTY);
-
-        $password = "";
+        $pw = preg_split('//', $character, 0, PREG_SPLIT_NO_EMPTY);
+
+        $password = '';
         for ($i = 0; $i<$pwLength; $i++) {
             $password .= $pw[array_rand($pw, 1)];
@@ -313,9 +313,9 @@
 
     function gfMailHeaderAddr($str) {
-        $addrs = explode(",", $str); //アドレスを配列に入れる
+        $addrs = explode(',', $str); //アドレスを配列に入れる
         foreach ($addrs as $addr) {
             if (preg_match("/^(.+)<(.+)>$/", $addr, $matches)) {
                 //引数が「名前<メールアドレス>」の場合
-                $mailaddrs[] = mb_encode_mimeheader(trim($matches[1]))." <".trim($matches[2]).">";
+                $mailaddrs[] = mb_encode_mimeheader(trim($matches[1])).' <'.trim($matches[2]).'>';
             } else {
                 //メールアドレスのみの場合
@@ -323,5 +323,5 @@
             }
         }
-        return implode(", ", $mailaddrs); //複数アドレスはカンマ区切りにする
+        return implode(', ', $mailaddrs); //複数アドレスはカンマ区切りにする
     }
 }
Index: /branches/version-2_12-dev/data/class/SC_Display.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_Display.php	(revision 21479)
+++ /branches/version-2_12-dev/data/class/SC_Display.php	(revision 21514)
@@ -103,5 +103,5 @@
         switch ($device) {
             case DEVICE_TYPE_MOBILE:
-                $this->response->setContentType("text/html");
+                $this->response->setContentType('text/html');
                 $this->setView(new SC_MobileView_Ex());
                 break;
Index: /branches/version-2_12-dev/data/class/db/SC_DB_MasterData.php
===================================================================
--- /branches/version-2_12-dev/data/class/db/SC_DB_MasterData.php	(revision 21420)
+++ /branches/version-2_12-dev/data/class/db/SC_DB_MasterData.php	(revision 21514)
@@ -150,5 +150,5 @@
         foreach ($masterData as $key => $val) {
             $sqlVal = array($columns[1] => $val);
-            $this->objQuery->update($name, $sqlVal, $columns[0] . " = " .  SC_Utils_Ex::sfQuoteSmart($key));
+            $this->objQuery->update($name, $sqlVal, $columns[0] . ' = ' .  SC_Utils_Ex::sfQuoteSmart($key));
             $i++;
         }
@@ -226,9 +226,9 @@
      */
     function clearCache($name) {
-        $masterDataFile = MASTER_DATA_REALDIR . $name . ".php";
+        $masterDataFile = MASTER_DATA_REALDIR . $name . '.php';
         if (is_file($masterDataFile)) {
             unlink($masterDataFile);
         }
-        $masterDataFile = MASTER_DATA_REALDIR . $name . ".serial";
+        $masterDataFile = MASTER_DATA_REALDIR . $name . '.serial';
         if (is_file($masterDataFile)) {
             unlink($masterDataFile);
@@ -311,5 +311,5 @@
             $this->objQuery->setOrder($columns[2]);
         }
-        $results = $this->objQuery->select($columns[0] . ", " . $columns[1], $name);
+        $results = $this->objQuery->select($columns[0] . ', ' . $columns[1], $name);
 
         // 結果を key => value 形式に格納
@@ -353,8 +353,8 @@
      */
     function getMasterDataAsDefine($masterData, $comments = array()) {
-        $data = "";
+        $data = '';
         foreach ($masterData as $key => $val) {
             if (!empty($comments[$key])) {
-                $data .= "/** " . $comments[$key] . " */\n";
+                $data .= '/** ' . $comments[$key] . " */\n";
             }
             $data .= "define('" . $key . "', " . $val . ");\n";
Index: /branches/version-2_12-dev/data/class/db/SC_DB_DBFactory.php
===================================================================
--- /branches/version-2_12-dev/data/class/db/SC_DB_DBFactory.php	(revision 21490)
+++ /branches/version-2_12-dev/data/class/db/SC_DB_DBFactory.php	(revision 21514)
@@ -62,10 +62,10 @@
      * @return void|string データソース名
      */
-    function getDSN($dsn = "") {
+    function getDSN($dsn = '') {
         if (empty($dsn)) {
             if (defined('DEFAULT_DSN')) {
                 $dsn = DEFAULT_DSN;
             } else {
-                return "";
+                return '';
             }
         }
@@ -79,5 +79,5 @@
      * @return string データベースのバージョン
      */
-    function sfGetDBVersion($dsn = "") { return null; }
+    function sfGetDBVersion($dsn = '') { return null; }
 
     /**
@@ -143,5 +143,5 @@
      * @return array テーブル名の配列
      */
-    function findTableNames($expression = "") { return array(); }
+    function findTableNames($expression = '') { return array(); }
 
     /**
